Get wells

Request

Get wells

Security
bearer and appkey
Query
pageinteger

Page index starts from 1

page_sizeinteger

Number of wells per page

Headers
slb-data-partition-idstringrequired

The data partition id.

Bodyapplication/json
fieldstring

Field name.

countrystring

Country name.

curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/msd/v1/wells?page=0&page_size=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string' \
  -d '{
    "field": "string",
    "country": "string"
  }'

Responses

Success

Bodyapplication/json
Array [
idstring
namestring
structure_idstring
structurestring
ground_levelnumber
is_offshoreboolean
fieldstring
countrystring
uwistring
sourcestring
north_referencestring
Enum:"Grid""True"
wgs84_locationobject(Wgs84Dto)
locationobject(LocationDto)
]
Response
[ { "id": "string", "name": "string", "structure_id": "string", "structure": "string", "ground_level": 0, "is_offshore": true, "field": "string", "country": "string", "uwi": "string", "source": "string", "north_reference": "Grid", "wgs84_location": {}, "location": {} } ]